
/*jshint node: true, bitwise: false, camelcase: true, curly: true,
  eqeqeq: true, forin: true, freeze: true, immed: true, newcap: true,
  noarg: true, noempty: true, nonbsp: false, nonew: true, plusplus: true,
  quotmark: single, undef: true, unused: vars, latedef: nofunc,
  strict: true, trailing: true, white: true, indent: 2, maxparams: 3,
  maxdepth: 3, maxstatements: 100, maxlen: 76 */

/*global $ */

'use strict';

var listViewItemsLength;
var markerRow;

(function () {
  $.list.addEventListener('marker', listViewMarker);
  $.listingSection.setItems(getPage());
  listViewItemsLength = $.listingSection.items.length;
  markerRow = 0;
  $.list.setMarker({
    sectionIndex: 0,
    itemIndex: markerRow
  });
}());

function getPage() {
  var items = [];
  for (var i = 0; i < 50; i += 1) {
    items.push({
      template: 'default'
    });
  }
  return items;
}

// This is called when scrolled to the bottom of

function listViewMarker(event) {
  Ti.API.error('markerEvent: ', markerRow);

  if (markerRow < listViewItemsLength - 1) {
    setMarker();
    return;
  }

  $.listingSection.appendItems(getPage());
  listViewItemsLength = $.listingSection.items.length;
  setMarker();
}

function setMarker() {
  var nRows = 3;

  markerRow = Math.min(
    markerRow ? markerRow + nRows : nRows,
    listViewItemsLength - 1
  );

  Ti.API.error('setMarker: ', markerRow);

  $.list.setMarker({
    sectionIndex: 0,
    itemIndex: markerRow
  });
}
